﻿using Microsoft.AspNetCore.Mvc;
using TDD_Section1.WebAPI.interfaces;

namespace TDD_Section1.WebAPI.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class HomeController : ControllerBase
    {
        private readonly IGuidProvider _guidProvider;

        public HomeController(IGuidProvider guidProvider)
        {
            _guidProvider = guidProvider;
        }

        [FromServices]
        public IServiceProvider _serviceProvider {  get; set; }

        [HttpGet]
        public IActionResult GetGuid()
        {

            //var guid1 = _guidProvider.GetGuid();
            //var guid2 = _guidProvider.GetGuid();
            //var guid3 = _guidProvider.GetGuid();

            //TestClass1 testClass1=new TestClass1();
            //var res = testClass1.Add(1, 5);

            ///var res = TestClass1.Add(1, 5);

            var guid1 = _serviceProvider.GetService<IGuidProvider>()!.GetGuid();
            var guid2 = _serviceProvider.GetService<IGuidProvider>()!.GetGuid();
            var guid3 = _serviceProvider.GetService<IGuidProvider>()!.GetGuid();

            return Ok(new { guid1, guid2, guid3 });
        }
    }
}
