﻿using TDD_Section1.WebAPI.interfaces;

namespace TDD_Section1.WebAPI.Implements;

public class GuidProvider : IGuidProvider
{
    private readonly Guid _guid;
    public GuidProvider()
    {
        _guid = Guid.NewGuid(); 
    }
    public Guid GetGuid()
    {
        return _guid;
    }
}
