﻿namespace TDD_Section1.WebAPI;

public class TestClass
{

    public TestClass(int id, string name, string family)
    {
        Id = id;
        Name = name;
        Family = family;
    }

    /// <summary>
    /// public
    /// private
    /// protected
    /// internal
    /// </summary>
    public int Id { get; set; }
    public string Name { get; set; } = default!;  
    public string Family { get; set; } = default!;
    public string FulName => Name + " " + Family;

    public string GetFullName()
    {
        return Name + " " + Family;
    }
}
